package com.ho.common.tools.util;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description :文件、命令相关请求，边端返回response对应的中文含义
 * @Author : HXJ
 * @Date : 2023/3/24 14:59
 */
public class FileResponseUtil {

    /**
     * 根据Mqtt会议的response，获取对应的意思
     *
     * @param resp
     * @return
     */
    public static String getFileResponse(Integer resp) {
        if (resp == null) {
            return "";
        }
        Map<Integer, String> respMap = new HashMap<>();
        respMap.put(1, "边端太忙没空");
        respMap.put(2, "边端拒绝,您没有权限操作");
        respMap.put(3, "边端文件不存在");
        respMap.put(4, "边端路径不存在");
        respMap.put(5, "边端存储空间不够");
        respMap.put(6, "其他");
        respMap.put(7, "文件夹非空");
        String msg = respMap.get(resp);
        if (msg == null) {
            msg = "";
        }
        return msg;
    }
}
